/*
	File:		TextFile.r

	Contains:	Text file support for simple text application

	Version:	GX 1.2 or later

	Written by:	Tom Dowdy

	Copyright:	 1993, 1995-1997 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Tom Dowdy

		Other Contact:		Jim Negrette

		Technology:			Macintosh Graphics Group

	Writers:

		(ted)	Tom Dowdy

	Change History (most recent first):

	$Log: TextFile.r,v $
	Revision 1.3  2000/07/27 21:17:18  mig
	using "flat" inclides of Carbon.h (available thru System framework headers)
	
	Revision 1.2  2000/07/18 23:34:24  mig
	headers clean-up (mostly header-style includes)
	
	Revision 1.1  2000/06/09 01:09:18  mig
	make files localizable (removed from root directory, added to this one)
	
	Revision 1.4  1999/10/21 04:29:01  tonyob
	changed !forCarbon to CALL_NOT_IN_CARBON
	
	Revision 1.3  1998/12/03 00:05:52  kilroy
	Removed Balloons and AppleGuide
	
	Revision 1.2  1998/08/26 16:04:18  mkellner
	Make work with new (built) headers
	
	Revision 1.1.1.1  1998/03/18 22:56:12  ivory
	Initial checkin of SimpleText.
	
 * 
 * 2     7/29/97 6:27 PM Tom Dowdy
 * Added appearance
 * 
 * 1     7/28/97 11:24 AM Duane Byram
 * first added to Source Safe project

		 <4>	 4/21/97	ted		[1608276]  TDML should be TMDI
		 <3>	 12/2/96	ted		[1608276]  Adding refcon to support inline input in save dialog
		 <2>	 4/11/96	ted		fixing color table
		 <1>	 8/21/95	TD		First checked in.

*/


#include "TextFile.h"

#ifdef USE_UMBRELLA_HEADERS && USE_UMBRELLA_HEADERS
#include "Carbon.r"
#else
#include "MacTypes.r"
#include "Dialogs.r"
#endif

#include "Localize.r"

resource 'STR#' (kTextStrings, purgeable) {
	{
	SOUNDSPEAKSELECTIONITEM;
	SOUNDSPEAKALLITEM;
	
	TEXTSTATIONERY;
	TEXTSTATIONERYSELECTED;
	TEXTDOCUMENT;
	TEXTDOCUMENTSELECTED;
	
	TEXTPICTMARKER1;
	TEXTPICTMARKER2;
	};
};

resource 'DLOG' (kTextSaveAsDialogID) {
	{0, 0, 238, 344},
	dBoxProc,
	invisible,
	noGoAway,
	'tmDI',
	kTextSaveAsDialogID,
	"",
	alertPositionMainScreen
};

resource 'dlgx' (kTextSaveAsDialogID) {
	versionZero {
		kDialogFlagsUseThemeBackground 	+ kDialogFlagsUseControlHierarchy + kDialogFlagsUseThemeControls
	};
};

resource 'dctb' (kTextSaveAsDialogID, purgeable) {
	 {};
};

resource 'DITL' (kTextSaveAsDialogID) {
	{	/* array DITLarray: 17 elements */
		/* [1] */
		{161, 252, 181, 332},
		Button {
			enabled,
			TEXTSAVEBUTTON
		},
		/* [2] */
		{130, 252, 150, 332},
		Button {
			enabled,
			TEXTCANCELBUTTON
		},
		/* [3] */
		{-1, -1, -1, -1},
		HelpItem {
			disabled,
			HMScanhdlg {
				-6043
			}
		},
		/* [4] */
		{8, 235, 24, 337},
		UserItem {
			enabled
		},
		/* [5] */
		{32, 252, 52, 332},
		Button {
			enabled,
			TEXTEJECTBUTTON
		},
		/* [6] */
		{60, 252, 80, 332},
		Button {
			enabled,
			TEXTDESKTOPBUTTON
		},
		/* [7] */
		{29, 12, 175, 230},
		UserItem {
			enabled
		},
		/* [8] */
		{7, 12, 26, 230},
		UserItem {
			enabled
		},
		/* [9] */
		{117, 250, 118, 334},
		Picture {
			disabled,
			11
		},
		/* [10] */
		{209, 15, 225, 211},
		EditText {
			enabled,
			""
		},
		/* [11] */
		{188, 15, 204, 211},
		StaticText {
			disabled,
			TEXTSAVEPROMPT
		},
		/* [12] */
		{87, 252, 107, 332},
		UserItem {
			disabled
		},
		/* [13] */
		{-2, -2, -2, -2},
		HelpItem {
			disabled,
			HMScanhdlg {
				kTextSaveAsDialogID
			}
		},
		/* [14] */
		{196, 232, 228, 280},
		RadioButton {
			enabled,
			""
		},
		/* [15] */
		{196, 288, 228, 336},
		RadioButton {
			enabled,
			""
		},
		/* [16] */
		{196, 248, 228, 280},
		UserItem {
			enabled,
		},
		/* [17] */
		{196, 304, 228, 336},
		UserItem {
			enabled,
		}
	}
};

#if CALL_NOT_IN_CARBON
// this is extra help for our save as dialog
resource 'hdlg' (kTextSaveAsDialogID) {
	HelpMgrVersion,							/* Help Version */
	13,										/* offset to first DITL */
	0,										/* options */
	0,										/* theProc */
	0,										/* variant */
	HMSkipItem {},
	{
		HMStringResItem {
			{0,0},
			{0,0,0,0},
			kTextStrings, iDocumentHelp,
			kTextStrings, 0,
			kTextStrings, iDocumentSelectedHelp,
			kTextStrings, 0
		},
		HMStringResItem {
			{0,0},
			{0,0,0,0},
			kTextStrings, iStationeryHelp,
			kTextStrings, 0,
			kTextStrings, iStationerySelectedHelp,
			kTextStrings, 0
		},
	}
};
#endif

